Ankieta

Czy prezentować następne wersje kandydujące LO

Tak
1 (100%)
Nie
0 (0%)

Głosów w sumie: 1

Autor Wątek: LibreOffice - wersje kandydujące  (Przeczytany 2468 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
LibreOffice - wersje kandydujące
« dnia: Sierpień 21, 2015, 15:01:20 »
Wychodzi na to, że obecna wersja kandydująca LO 5.0.1 RC1 już jest lepsza od pierwszej wersji w tym cyklu wydawniczym (oprócz usunięcia całkiem sporej listy błędów, deweloperzy chwalą się również mniejszym zapotrzebowaniem na RAM). Dlaczego zatem nie dać Wam możliwości skorzystania z niej? Poniższy PKGBUILD jest:
1. uproszczeniem i przeróbką PKGBUILDu libreoffice-fresh-rpm dostępnego w AUR,
2. wersją oferującą (bez żadnych zmian, wyborów itp.) spolonizowany pakiet (przynajmniej na tyle, na ile on obecnie jest spolonizowany) wraz z polskim (patrz wyżej) plikiem pomocy,
3. zbudowany pakiet zastępuje libreoffice-fresh-rpm, ale może koegzystować na jednym komputerze z wersjami libreoffice-fresh oraz libreoffice-still pochodzącymi z oficjalnego repozytorium Archa (czy z innymi - nie wiem, nie używam; generalnie wszelkie wersje, które lądują w /opt będą z nim sprzeczne),
4. domyślnie używa stylu gtk2, który i tak jest np. w przypadku Plasma5 o niebo lepszy niż dedykowany mu kde4,
5. jest to pakiet przebudowywany z pakietów rpms (podobnie jak pakiet libreoffice-fresh-rpm), zatem jego budowa - w przeciwieństwie do budowy bezpośrednio ze źródeł - nie trwa wieczności,
6. uwaga po zbudowaniu, paczka zajmuje ok. 0,5GB, a biorąc pod uwagę jeszcze źródła, to dla zbudowania i zainstalowania jej będziecie musieli mieć nieco miejsca tak w katalogu głównym, jak i w katalogu, w którym budowana będzie paczka,
7. wprawdzie w optdepends jest m.in. paczka jre7-openjdk, jednakże chodzi tu o jakąkolwiek wersję JRE, która wymagana jest do obsługi niektórych funkcji w LO; jre7-openjdk była w oryginalnym PKGBUILDzie i nie zmieniałem tego.

Prosiłbym, aby - o ile to możliwe - włączyć się w testowanie tej wersji i zgłaszanie błędów bezpośrednio na bugzilli LO. Tylko tak możemy uczynić, by projekt ten był coraz lepszy. Niestety polski projekt tłumaczenia LO umiera śmiercią naturalną i jeśli nie nastąpi jakiś wielki zryw społeczności, to następne wydania będą po prostu "polskawe", ze sporą częścią nieprzetłumaczonych rzeczy.

PKGBUILD
# Contributor: Red_Squirrel <evangelion87d@gmail.com>
# Contributor: Xavier114fch <xavier114fch@gmail.com>
# Contributor: nachoig      <areta@outlook.com.br>
# Contributor: nTia89       <mattia.b89@gmail.com>
# Contributor: Mark E. Lee  <mark@markelee.com>
# Maintainer : Mark E. Lee  <mark@markelee.com>
# Maintainer for Polish RC version: pavbaranov

pkgname=libreoffice-rpm-rc-pl
pkgver=5.0.1.rc1
pkgrel=1
pkgdesc="LGPL Office Suite installed from rpms RC version"
arch=('x86_64')
url='http://www.libreoffice.org'
license=('LGPL')
depends=('glibc>=2.5' 'gtk2>=2.10.4' 'xorg-server')
makedepends=('awk')
optdepends=('jre7-openjdk' 'gtk3' 'gst-plugins-base' 'gst-plugins-good' 'gst-plugins-bad' 'gst-plugins-ugly') 
source=("http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/5.0.1/rpm/x86_64/LibreOffice_5.0.1.1_Linux_x86-64_rpm.tar.gz"
"http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/5.0.1/rpm/x86_64/LibreOffice_5.0.1.1_Linux_x86-64_rpm_langpack_pl.tar.gz"
"http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/5.0.1/rpm/x86_64/LibreOffice_5.0.1.1_Linux_x86-64_rpm_helppack_pl.tar.gz"
)
conflicts=('libreoffice-fresh-rpm')
sha256sums=('2180147f90bab3ec8bb82fe522fb3d731007cfe82c64716dac21e3059076fe3f'
            'd19f078fbc6bd527263447db777839958c44da8e7c631c545a528c200ba1a50b'
            'b32f5818a5c35ce29ced1f529f9aec3a4e0cff93b32270ee154405b67d05a527')

package() {   ## package function

## check kernel version to allow arbitrarily patched kernels
min_kernMajor=2;
min_kernMinor=6;
min_kernRelease=18;
## in bash, we need to split kernVer assigning into 2 steps
tmp_kernVer=$(uname -r);
new_kernVer=${tmp_kernVer%%-*}
kernVer=(${new_kernVer//./ });
## remove temporary variables
unset new_kernVer tmp_kernVer;

if [ ${kernVer[0]} -le $min_kernMajor ]; then
   if [ ${kernVer[1]} -le $min_kernMinor ]; then
      if [ ${kernVer[2]} -lt $min_kernRelease ]; then
         msg "The kernel version needs to be at least 2.6.18. The current kernel version is $(uname -r). Please update your linux kernel";
         exit;
      fi;
   fi;
fi;

cd ${srcdir};  ## enter the package source directory
## extract rpms and install them
for a in $(ls -d */); do  ## loop for all directories found
  cd "${srcdir}/${a}/RPMS";  ## enter the RPMS directory
  for b in *.rpm; do  ## loop for all rpm files found
    bsdtar -xf $b;  ## extract the rpm files
  done;
 
  cp -rf */ ${pkgdir}/;  ## copy and merge all found directories to the package directory

  ## change the permissions for files that shouldn't be executable
  declare -a wrongexec=("opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/CREDITS.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/LICENSE.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/NOTICE");  ## set the array to change permissions
  for a in ${wrongexec[@]}; do
    chmod 644 ${pkgdir}/$a; ## change permissions to read/write for root, read only for users
  done;
done;

}

EDIT:
A jednak o mniejszym zapotrzebowaniu na RAM wersji 5.0.1 to nie były czcze przechwałki deweloperów. Prezentowana tu wersja zużywa podczas edycji prostego dokumentu tekstowego ma zapotrzebowanie około połowę niższe od wersji 5.0.0. Także wczytanie dokumentu w wersji 5.0.0 powoduje - przynajmniej u mnie - wzrost zapotrzebowania na CPU sięgający 100% obciążenia jednego rdzenia (chwilowy, potem spada), czego nie zaobserwowałem w wersji 5.0.1. Co ciekawe, ten sam dokument otworzony kilka razy w LO Writer za każdym razem wskazuje inne zapotrzebowanie na RAM. W przypadku 5.0.1 są to różnice mniejsze, ale w przypadku 5.0.0. dość znaczne. Przyznam, że nie wiem z czego to wynika, jak również, czy mniejsze zużycie RAMu jest wynikiem nowej wersji, gdzie to poprawiono, czy też inaczej zbudowanej wersji deweloperskiej (prezentowane tu rozwiązanie dokonuje jedynie przepakowania plików do formatu Archa ze skompilowanego już programu, którego spaczkowania dokonali deweloperzy LO).
« Ostatnia zmiana: Wrzesień 09, 2015, 10:15:47 wysłana przez pavbaranov »

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: LibreOffice 5.0.1 RC
« Odpowiedź #1 dnia: Sierpień 25, 2015, 19:38:41 »
5.0.1RC2:
PKGBUILD
# Contributor: Red_Squirrel <evangelion87d@gmail.com>
# Contributor: Xavier114fch <xavier114fch@gmail.com>
# Contributor: nachoig      <areta@outlook.com.br>
# Contributor: nTia89       <mattia.b89@gmail.com>
# Contributor: Mark E. Lee  <mark@markelee.com>
# Maintainer : Mark E. Lee  <mark@markelee.com>
# Maintainer for Polish RC version: pavbaranov

pkgname=libreoffice-rpm-rc-pl
pkgver=5.0.2.rc1
pkgrel=1
pkgdesc="LGPL Office Suite installed from rpms RC version"
arch=('x86_64')
url='http://www.libreoffice.org'
license=('LGPL')
depends=('glibc>=2.5' 'gtk2>=2.10.4' 'xorg-server')
makedepends=('awk')
optdepends=('jre7-openjdk' 'gtk3' 'gst-plugins-base' 'gst-plugins-good' 'gst-plugins-bad' 'gst-plugins-ugly') 
source=("http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/5.0.1/rpm/x86_64/LibreOffice_5.0.1.2_Linux_x86-64_rpm.tar.gz"
"http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/5.0.1/rpm/x86_64/LibreOffice_5.0.1.2_Linux_x86-64_rpm_langpack_pl.tar.gz"
"http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/5.0.1/rpm/x86_64/LibreOffice_5.0.1.2_Linux_x86-64_rpm_helppack_pl.tar.gz"
)
conflicts=('libreoffice-fresh-rpm')
sha256sums=('87411fa11fdd41cfb3c06c110fc551ef7a8898ba820e4cbdcf1140eaa205223a'
            '15a8ed46a56fc1e4a273c4810df6684a28b450a1011494db5fcc46499e044d45'
            '74183d13e7e69f8363f6d1d0262a9ced59f9b983c6a40853bf0b679b8a5981cb')

package() {   ## package function

## check kernel version to allow arbitrarily patched kernels
min_kernMajor=2;
min_kernMinor=6;
min_kernRelease=18;
## in bash, we need to split kernVer assigning into 2 steps
tmp_kernVer=$(uname -r);
new_kernVer=${tmp_kernVer%%-*}
kernVer=(${new_kernVer//./ });
## remove temporary variables
unset new_kernVer tmp_kernVer;

if [ ${kernVer[0]} -le $min_kernMajor ]; then
   if [ ${kernVer[1]} -le $min_kernMinor ]; then
      if [ ${kernVer[2]} -lt $min_kernRelease ]; then
         msg "The kernel version needs to be at least 2.6.18. The current kernel version is $(uname -r). Please update your linux kernel";
         exit;
      fi;
   fi;
fi;

cd ${srcdir};  ## enter the package source directory
## extract rpms and install them
for a in $(ls -d */); do  ## loop for all directories found
  cd "${srcdir}/${a}/RPMS";  ## enter the RPMS directory
  for b in *.rpm; do  ## loop for all rpm files found
    bsdtar -xf $b;  ## extract the rpm files
  done;
 
  cp -rf */ ${pkgdir}/;  ## copy and merge all found directories to the package directory

  ## change the permissions for files that shouldn't be executable
  declare -a wrongexec=("opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/CREDITS.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/LICENSE.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/NOTICE");  ## set the array to change permissions
  for a in ${wrongexec[@]}; do
    chmod 644 ${pkgdir}/$a; ## change permissions to read/write for root, read only for users
  done;
done;
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: LibreOffice - wersje kandydujące
« Odpowiedź #2 dnia: Wrzesień 09, 2015, 10:17:58 »
Pojawiła się pierwsza wersja kandydująca wydania 5.0.2. Oto PKGBUILD umożliwiający budowę paczki dla systemów 64 bitowych w wersji polskojęzycznej (jeśli ktoś chce mieć anglojęzyczną lub inną - zmiana w PKGBUILD jest kosmetyczna). Aplikacja może koegzystować z dotychczasową wersją LO.
Lista usuniętych błędów w stosunku do wersji 5.0.1 dostępna jest pod adresem: https://wiki.documentfoundation.org/Releases/5.0.2/RC1
Lista zmian dostępna jest pod adresem: https://wiki.documentfoundation.org/ReleaseNotes/5.0 - są to zmiany, które są wprowadzane w całym wydaniu 5.0 i na różnym stopniu zaawansowania.
PKGBUILD
# Contributor: Red_Squirrel <evangelion87d@gmail.com>
# Contributor: Xavier114fch <xavier114fch@gmail.com>
# Contributor: nachoig      <areta@outlook.com.br>
# Contributor: nTia89       <mattia.b89@gmail.com>
# Contributor: Mark E. Lee  <mark@markelee.com>
# Maintainer : Mark E. Lee  <mark@markelee.com>
# Maintainer for Polish RC version: pavbaranov

pkgname=libreoffice-rpm-rc-pl
pkgver=5.0.2.1.rc1
_pkgver=5.0.2
_pkgverrc=1
pkgrel=1
pkgdesc="LGPL Office Suite installed from rpms RC version"
arch=('x86_64')
url='http://www.libreoffice.org'
license=('LGPL')
depends=('glibc>=2.5' 'gtk2>=2.10.4' 'xorg-server')
makedepends=('awk')
optdepends=('jre7-openjdk' 'gtk3' 'gst-plugins-base' 'gst-plugins-good' 'gst-plugins-bad' 'gst-plugins-ugly') 
source=("http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/${_pkgver}/rpm/x86_64/LibreOffice_${_pkgver}.${_pkgverrc}_Linux_x86-64_rpm.tar.gz"
"http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/${_pkgver}/rpm/x86_64/LibreOffice_${_pkgver}.${_pkgverrc}_Linux_x86-64_rpm_langpack_pl.tar.gz"
"http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/${_pkgver}/rpm/x86_64/LibreOffice_${_pkgver}.${_pkgverrc}_Linux_x86-64_rpm_helppack_pl.tar.gz"
)
conflicts=('libreoffice-fresh-rpm')
sha256sums=('f725199d5ec67943e3796b5464fdde137c4d17959aeba2ba95eea28a1e2b7ee1'
            'a6f79ad15db029dc1c80ccae2a0396d1abba3a12364e106d66c0a3cdf0556b4b'
            'e5854e7d4c5681863726b06968df5a04887455b9ba46487941afd084c4d7dc03')

package() {   ## package function

## check kernel version to allow arbitrarily patched kernels
min_kernMajor=2;
min_kernMinor=6;
min_kernRelease=18;
## in bash, we need to split kernVer assigning into 2 steps
tmp_kernVer=$(uname -r);
new_kernVer=${tmp_kernVer%%-*}
kernVer=(${new_kernVer//./ });
## remove temporary variables
unset new_kernVer tmp_kernVer;

if [ ${kernVer[0]} -le $min_kernMajor ]; then
   if [ ${kernVer[1]} -le $min_kernMinor ]; then
      if [ ${kernVer[2]} -lt $min_kernRelease ]; then
         msg "The kernel version needs to be at least 2.6.18. The current kernel version is $(uname -r). Please update your linux kernel";
         exit;
      fi;
   fi;
fi;

cd ${srcdir};  ## enter the package source directory
## extract rpms and install them
for a in $(ls -d */); do  ## loop for all directories found
  cd "${srcdir}/${a}/RPMS";  ## enter the RPMS directory
  for b in *.rpm; do  ## loop for all rpm files found
    bsdtar -xf $b;  ## extract the rpm files
  done;
 
  cp -rf */ ${pkgdir}/;  ## copy and merge all found directories to the package directory

  ## change the permissions for files that shouldn't be executable
  declare -a wrongexec=("opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/CREDITS.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/LICENSE.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/NOTICE");  ## set the array to change permissions
  for a in ${wrongexec[@]}; do
    chmod 644 ${pkgdir}/$a; ## change permissions to read/write for root, read only for users
  done;
done;

}
#sha256sums=('2180147f90bab3ec8bb82fe522fb3d731007cfe82c64716dac21e3059076fe3f')
« Ostatnia zmiana: Wrzesień 09, 2015, 10:21:25 wysłana przez pavbaranov »

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: LibreOffice - wersje kandydujące
« Odpowiedź #3 dnia: Wrzesień 21, 2015, 21:16:59 »
LO 5.0.2 RC2
PKGBUILD
# Contributor: Red_Squirrel <evangelion87d@gmail.com>
# Contributor: Xavier114fch <xavier114fch@gmail.com>
# Contributor: nachoig      <areta@outlook.com.br>
# Contributor: nTia89       <mattia.b89@gmail.com>
# Contributor: Mark E. Lee  <mark@markelee.com>
# Maintainer : Mark E. Lee  <mark@markelee.com>
# Maintainer for Polish RC version: pavbaranov

pkgname=libreoffice-rpm-rc-pl
pkgver=5.0.2.2.rc2
_pkgver=5.0.2
_pkgverrc=2
pkgrel=1
pkgdesc="LGPL Office Suite installed from rpms RC version"
arch=('x86_64')
url='http://www.libreoffice.org'
license=('LGPL')
depends=('glibc>=2.5' 'gtk2>=2.10.4' 'xorg-server')
makedepends=('awk')
optdepends=('jre7-openjdk' 'gtk3' 'gst-plugins-base' 'gst-plugins-good' 'gst-plugins-bad' 'gst-plugins-ugly') 
source=("http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/${_pkgver}/rpm/x86_64/LibreOffice_${_pkgver}.${_pkgverrc}_Linux_x86-64_rpm.tar.gz"
"http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/${_pkgver}/rpm/x86_64/LibreOffice_${_pkgver}.${_pkgverrc}_Linux_x86-64_rpm_langpack_pl.tar.gz"
"http://ftp.tu-chemnitz.de/pub/tdf/libreoffice/testing/${_pkgver}/rpm/x86_64/LibreOffice_${_pkgver}.${_pkgverrc}_Linux_x86-64_rpm_helppack_pl.tar.gz"
)
conflicts=('libreoffice-fresh-rpm')
sha256sums=('08a91884bdc01e4f76b9cefaa3ac6986d088cee09ea4182c7561cc045bad995a'
            '757053c51e1d1e7899b757dea0cc700be472fe6ebdb535958abc6c9a303d2143'
            '19ef9156f0227770aba238b1b222566a81daa6a0364c52bf4a6ca3ab759dc95b')

package() {   ## package function

## check kernel version to allow arbitrarily patched kernels
min_kernMajor=2;
min_kernMinor=6;
min_kernRelease=18;
## in bash, we need to split kernVer assigning into 2 steps
tmp_kernVer=$(uname -r);
new_kernVer=${tmp_kernVer%%-*}
kernVer=(${new_kernVer//./ });
## remove temporary variables
unset new_kernVer tmp_kernVer;

if [ ${kernVer[0]} -le $min_kernMajor ]; then
   if [ ${kernVer[1]} -le $min_kernMinor ]; then
      if [ ${kernVer[2]} -lt $min_kernRelease ]; then
         msg "The kernel version needs to be at least 2.6.18. The current kernel version is $(uname -r). Please update your linux kernel";
         exit;
      fi;
   fi;
fi;

cd ${srcdir};  ## enter the package source directory
## extract rpms and install them
for a in $(ls -d */); do  ## loop for all directories found
  cd "${srcdir}/${a}/RPMS";  ## enter the RPMS directory
  for b in *.rpm; do  ## loop for all rpm files found
    bsdtar -xf $b;  ## extract the rpm files
  done;
 
  cp -rf */ ${pkgdir}/;  ## copy and merge all found directories to the package directory

  ## change the permissions for files that shouldn't be executable
  declare -a wrongexec=("opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/CREDITS.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/LICENSE.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/NOTICE");  ## set the array to change permissions
  for a in ${wrongexec[@]}; do
    chmod 644 ${pkgdir}/$a; ## change permissions to read/write for root, read only for users
  done;
done;

}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: LibreOffice - wersje kandydujące
« Odpowiedź #4 dnia: Październik 14, 2015, 18:43:15 »
Pierwsza przymiarka do LO 5.0.3:
PKGBUILD
pkgname=libreoffice-rpm-rc-pl
pkgver=5.0.3.1
pkgrel=2
pkgdesc="LGPL Office Suite installed from rpms"
arch=('any')
url='http://www.libreoffice.org'
license=('LGPL')
conflicts=('libreoffice-fresh-rpm')
depends=('glibc>=2.5' 'gtk2>=2.10.4' 'xorg-server')
makedepends=('curl' 'awk')
optdepends=('jre7-openjdk' 'gtk3' 'gst-plugins-base' 'gst-plugins-good' 'gst-plugins-bad' 'gst-plugins-ugly')
source=("http://download.documentfoundation.org/libreoffice/testing/5.0.3/rpm/x86_64/LibreOffice_5.0.3.1_Linux_x86-64_rpm.tar.gz"
"http://download.documentfoundation.org/libreoffice/testing/5.0.3/rpm/x86_64/LibreOffice_5.0.3.1_Linux_x86-64_rpm_helppack_pl.tar.gz"
"http://download.documentfoundation.org/libreoffice/testing/5.0.3/rpm/x86_64/LibreOffice_5.0.3.1_Linux_x86-64_rpm_langpack_pl.tar.gz")

package() {   ## package function

## check kernel version to allow arbitrarily patched kernels
min_kernMajor=2;
min_kernMinor=6;
min_kernRelease=18;
## in bash, we need to split kernVer assigning into 2 steps
tmp_kernVer=$(uname -r);
new_kernVer=${tmp_kernVer%%-*}
kernVer=(${new_kernVer//./ });
## remove temporary variables
unset new_kernVer tmp_kernVer;

if [ ${kernVer[0]} -le $min_kernMajor ]; then
   if [ ${kernVer[1]} -le $min_kernMinor ]; then
      if [ ${kernVer[2]} -lt $min_kernRelease ]; then
         msg "The kernel version needs to be at least 2.6.18. The current kernel version is $(uname -r). Please update your linux kernel";
         exit;
      fi;
   fi;
fi;

cd ${srcdir};  ## enter the package source directory
## extract rpms and install them
for a in $(ls -d */); do  ## loop for all directories found
  cd "${srcdir}/${a}/RPMS";  ## enter the RPMS directory
  for b in *.rpm; do  ## loop for all rpm files found
    bsdtar -xf $b;  ## extract the rpm files
  done;
 
  cp -rf */ ${pkgdir}/;  ## copy and merge all found directories to the package directory

  ## change the permissions for files that shouldn't be executable
  declare -a wrongexec=("opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/CREDITS.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/LICENSE.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/NOTICE");  ## set the array to change permissions
  for a in ${wrongexec[@]}; do
    chmod 644 ${pkgdir}/$a; ## change permissions to read/write for root, read only for users
  done;
done;

}
md5sums=('ec091ea15162b0e38c699bd39869a01e'
         'ddea4fda613ab9e98b7d59d78f0e2444'
         '10c92350ea7491a5f07ed10f3881f54d')

 

Polityka cookies
Darmowe Fora | Darmowe Forum
wojownicyburzy wataha-mocy jezyki2 pupek rodzina